### Function

# Camel Operation pop_message

#### Declaration [src]

    void
    camel_operation_pop_message (
      GCancellable* cancellable
    )

#### Description [src]

Pops the most recently pushed message.

This function only works if `cancellable` is a `CamelOperation` cast as a `GCancellable`. If `cancellable` is a plain `GCancellable` or `NULL`, the function does nothing and returns silently.

#### Parameters

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.